# Suboptimal Structures sensu Zuker

The algorithm to compute optimal secondary structures that contain a particular base pair has been published by Zuker [1989] and is based on ideas for predicting structures for circular RNAs, in particular viroids, as presented in Steger et al. [1984].

  Functions

  SOLUTION *zukersubopt(const char *string)
    #include <ViennaRNA/subopt/wuchty.h>

    Compute Zuker type suboptimal structures.

    Compute Suboptimal structures according to M. Zuker, i.e. for every possible base pair the minimum energy structure containing the resp. base pair. Returns a list of these structures and their energies.

    Deprecated:

      use vrna_zukersubopt() instead

    Parameters:

      - string – RNA sequence

    Returns:

      List of zuker suboptimal structures

  SOLUTION *zukersubopt_par(const char *string, vrna_param_t *parameters)
    #include <ViennaRNA/subopt/wuchty.h>

    Compute Zuker type suboptimal structures.

    Deprecated:

      use vrna_zukersubopt() instead

  vrna_subopt_solution_t *vrna_subopt_zuker( vrna_fold_compound_t *fc)
    #include <ViennaRNA/subopt/zuker.h>

    Compute Zuker type suboptimal structures.

    Compute Suboptimal structures according to Zuker [1989] , i.e. for every possible base pair the minimum energy structure containing the resp. base pair. Returns a list of these structures and their energies.

    SWIG Wrapper Notes:

      This function is attached as method subopt_zuker() to objects of type `fold_compound`. See, e.g. `RNA.fold_compound.subopt_zuker()` in the Python API.

    See also

    vrna_subopt(), zukersubopt(), zukersubopt_par()

    Parameters:

      - fc – fold compound

    Returns:

      List of zuker suboptimal structures